Subject: [Class of 2014] Time Change: Last Rugby Pickup Now Monday 12:30-2

From: Jean Xin <[email-masked]>
Date: Sun, 18 May 2014 16:03:17 -0400

Hey Class of 2014,

Your last chance to pick up your rugbies is *Monday, May 19 from 12:30-2:00
PM in the UA Office W20-401*, instead of the previous time of 4:30-6:00 PM.
We apologize for any inconvenience this may have caused.

After Monday, we will be selling extra rugbies first come first serve, and
disposing of letters.

xoxo
Class Council